ASCAUDIO(4)

NAME
ascaudio - MAC68K Apple Sound Chip (ASC) built-in audio.

SYNOPSIS
ascaudio* at obio? flags 0x00
audio* at audiobus?
spkr* at audio?
wsbell* at spkr?

DESCRIPTION
ascaudio provides an audio device for the (Enchanced) Apple Sound Chip. It is implemented as an audio(4) device.

CONFIGURATION
The ascaudio driver supports the following flags for use in config(1) files:

0x0 (DEFQUALTY):
    22257Hz Monaural playback.

0x1 (LOWQUALITY):
    Half playback rate. Monoaural, intended for machines with slower clock rates.

0x2 (HIGHQUALITY):
    Best Quality supported by ASC. This would be stereo on equipped machines.

BUGS
Recording only works on some machines as audio routing is required, yet not fully analyzed.

SEE ALSO
mac68k/asc(4), audio(4), spkr(4), wsbell(4)